Skip to main content
`Ctrl`+`K`

# SNESMonitorSolution

Monitors progress of a `SNES` `SNESSolve()` by calling `VecView()` for the approximate solution at each iteration.

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorSolution(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - the `SNES` context

- its - iteration number

- fgnorm - 2-norm of residual

- vf - a viewer

## Options Database Key

- -snes_monitor_solution [ascii binary draw][:filename][:viewer format] - plots solution at each iteration

## Note

This is not called directly by users, rather one calls `SNESMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SNESSolve()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMonitorSet()`, `SNESMonitorDefault()`, `VecView()`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages